## ros-humble-reach 1.5.1

=== requirements.txt ===
numpy
scipy
open3d
tqdm
matplotlib
pytest

=== src/python/CMakeLists.txt ===
# Add Python libraries
python_add_library(${PROJECT_NAME}_python MODULE python_bindings.cpp)
target_include_directories(${PROJECT_NAME}_python PRIVATE ${PYTHON_INCLUDE_DIRS})
target_link_libraries(
  ${PROJECT_NAME}_python
  PRIVATE ${PROJECT_NAME}
          Boost::python
          Boost::numpy
          ${PYTHON_LIBRARIES})
target_compile_definitions(${PROJECT_NAME}_python PRIVATE MODULE_NAME=${PROJECT_NAME})
set_target_properties(
  ${PROJECT_NAME}_python PROPERTIES LIBRARY_OUTPUT_DIRECTORY ${CMAKE_INSTALL_PREFIX}/lib/python3/dist-packages
                                    OUTPUT_NAME ${PROJECT_NAME})
target_cxx_version(${PROJECT_NAME}_python PUBLIC VERSION 14)

list(
  APPEND
  TARGETS
  ${PROJECT_NAME}_python
  PARENT_SCOPE)

=== debian/changelog ===
ros-humble-reach (1.5.1-1jammy) jammy; urgency=high

  * fix bools in yaml in Python (#59 <https://github.com/marip8/reach/issues/59>)
  * Contributors: Marc Bestmann

 -- Michael Ripperger <michael.ripperger@swri.org>  Wed, 16 Aug 2023 05:00:00 -0000

ros-humble-reach (1.5.0-1jammy) jammy; urgency=high

  * Added ability to specify heat map color range (#58 <https://github.com/marip8/reach/issues/58>)
  * Contributors: Marc Bestmann

 -- Michael Ripperger <michael.ripperger@swri.org>  Fri, 28 Jul 2023 05:00:00 -0000

ros-humble-reach (1.4.0-1jammy) jammy; urgency=high

  * Exposed relevant compile definitions for plugins to the Python interface (#57 <https://github.com/marip8/reach/issues/57>)
  * Contributors: Michael Ripperger

 -- Michael Ripperger <michael.ripperger@swri.org>  Thu, 13 Jul 2023 05:00:00 -0000

ros-humble-reach (1.3.2-1jammy) jammy; urgency=high

  * Updated badges in README; added table of supported distros (#56 <https://github.com/marip8/reach/issues/56>)
  * Removed -dev libraries before running unit tests in CI (#55 <https://github.com/marip8/reach/issues/55>)
  * Updated CI configuration to be ROS-independent (#54 <https://github.com/marip8/reach/issues/54>)
  * Update to later version of RICB that adds hook for PYTHONPATH (#51 <https://github.com/marip8/reach/issues/51>)
  * Added colcon hook for setting the PYTHONPATH environment variable (#50 <https://github.com/marip8/reach/issues/50>)
  * Minor Updates (#48 <https://github.com/marip8/reach/issues/48>)
    * Added virtual destructors
    * Compile Python bindings with c++14
    * Change comparison operator for clang-tidy
  * Contributors: Michael Ripperger

 -- Michael Ripperger <michael.ripperger@swri.org>  Thu, 13 Jul 2023 05:00:00 -0000

ros-humble-reach (1.3.1-1jammy) jammy; urgency=high

  * fix parallelization error of omp parallel (#47 <https://github.com/marip8/reach/issues/47>)
  * Contributors: Marc Bestmann

 -- Michael Ripperger <michael.ripperger@swri.org>  Wed, 14 Jun 2023 05:00:00 -0000

ros-humble-reach (1.3.0-1jammy) jammy; urgency=high

  * Initial IK seed (#46 <https://github.com/marip8/reach/issues/46>)
    * add option to specify initial IK seed
    * refactor based on PR comments
    * improve reading of seed parameter from yaml
  * Contributors: Marc Bestmann

 -- Michael Ripperger <michael.ripperger@swri.org>  Tue, 13 Jun 2023 05:00:00 -0000

ros-humble-reach (1.2.0-1jammy) jammy; urgency=high

  * Exposed plugin implementations for linking by downstream projects (#45 <https://github.com/marip8/reach/issues/45>)
  * Contributors: Michael Ripperger

 -- Michael Ripperger <michael.ripperger@swri.org>  Thu, 11 May 2023 05:00:00 -0000

ros-humble-reach (1.1.0-1jammy) jammy; urgency=high

  * Move ROS1 components (#44 <https://github.com/marip8/reach/issues/44>)
    * Removed reach_ros directory
    * Flattened reach package
    * Updated CI config file
    * Added demo GIF and README
    * Fixed table of contents; added references to ROS repos; removed section on ROS-specific usage and demos
    * Changes to support ROS2
    * Updated dependencies
    * Remove reach_ros from plugins target compile definitions
    * Added colcon package file
  * Contributors: Michael Ripperger

 -- Michael Ripperger <michael.ripperger@swri.org>  Wed, 10 May 2023 05:00:00 -0000

ros-humble-reach (1.0.0-1jammy) jammy; urgency=high

  * Added Python interface (#38 <https://github.com/ros-industrial/reach/issues/38>)
  * Updated to later version of plugin loader (#39 <https://github.com/ros-industrial/reach/issues/39>)
  * Refactored repository into ROS-independent core package and ROS-based plugin implementation package (#37 <https://github.com/ros-industrial/reach/issues/37>)
  * Contributors: Michael Ripperger, Collin Thornton

 -- Michael Ripperger <michael.ripperger@swri.org>  Tue, 06 Dec 2022 06:00:00 -0000

ros-humble-reach (0.2.2-1jammy) jammy; urgency=high

  * Create nested results directories if they do not exist (#34 <https://github.com/marip8/reach/issues/34>)
  * Contributors: Michael Ripperger

 -- Michael Ripperger <michael.ripperger@swri.org>  Wed, 24 Aug 2022 05:00:00 -0000

ros-humble-reach (0.2.1-1jammy) jammy; urgency=high



 -- Michael Ripperger <michael.ripperger@swri.org>  Fri, 22 Jul 2022 05:00:00 -0000

ros-humble-reach (0.2.0-1jammy) jammy; urgency=high

  * Various Updates (#29 <https://github.com/marip8/reach/issues/29>)
    * Change FLANN search tree to PCL kd-tree; update nearest neighbors search; parallelize with hardware concurrency
    * Update to use non-deprecated IK solve function
    * Use Eigen vectorized array product rather than for loop
    * Support manipulability calculation for subset of dimensions
    * Added plugin for evaluating manipulability ratio
    * Simplified and vectorized joint penalty evaluator
    * Updated README
    * Updated unit test
  * Incorporated heat map coloring to rviz markers (#30 <https://github.com/marip8/reach/issues/30>)
    * Incorporated heat map coloring to rviz markers
    * Fixed formatting on heat map rviz marker code
    * Minor updates
    Co-authored-by: David Spielman <mailto:david.spielman@swri.org>
    Co-authored-by: Michael Ripperger <mailto:michael.ripperger@swri.org>
  * Contributors: David Spielman, Michael Ripperger

 -- Michael Ripperger <michael.ripperger@swri.org>  Fri, 22 Jul 2022 05:00:00 -0000

ros-humble-reach (0.1.1-1jammy) jammy; urgency=high



 -- Michael Ripperger <michael.ripperger@swri.org>  Thu, 07 Jul 2022 05:00:00 -0000

ros-humble-reach (0.1.0-1jammy) jammy; urgency=high

  * Reverted reach_core version before releasing packages
  * Fixed bug in reach_core/launch/setup.launch when starting the robot_state_publisher node (#26 <https://github.com/marip8/reach/issues/26>)
  * Add CI, formatting (#25 <https://github.com/marip8/reach/issues/25>)
    * Added formatting files
    * Run clang formatting
    * Run CMake format
    * Updated to c++14
    * Added CI jobs


=== debian/control ===
Source: ros-humble-reach
Section: misc
Priority: optional
Maintainer: Michael Ripperger <michael.ripperger@swri.org>
Build-Depends: debhelper (>= 9.0.0), cmake, libboost-all-dev, libeigen3-dev, libgtest-dev <!nocheck>, libomp-dev, libpcl-dev, libyaml-cpp-dev, ros-humble-boost-plugin-loader, ros-humble-ros-industrial-cmake-boilerplate, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-reach
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libeigen3-dev, libomp-dev, libpcl-dev, libyaml-cpp-dev, ros-humble-boost-plugin-loader, ros-humble-ros-industrial-cmake-boilerplate, ros-humble-ros-workspace
Description: The reach package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

# Solve shlibdeps errors in REP136 packages that use GNUInstallDirs:
export DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-reach//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-reach//opt/ros/humble/lib/${DEB_HOST_MULTIARCH}

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-reach 1.6.0

=== debian/changelog ===
ros-humble-reach (1.6.0-1bookworm) bookworm; urgency=high

  * Add seed state checks (#66 <https://github.com/marip8/reach/issues/66>)
    * Added utility from reach_ros for getting subset of joint state
    * Added check to ensure seed state parameter is set correctly
    * Updated function name
    * Run format jobs on 20.04
    * Clang format
  * Contributors: Michael Ripperger

 -- Michael Ripperger <michael.ripperger@swri.org>  Tue, 03 Oct 2023 16:00:00 -0000

ros-humble-reach (1.5.3-1bookworm) bookworm; urgency=high

  * Updated links in README (#65 <https://github.com/marip8/reach/issues/65>)
  * Update docs (#64 <https://github.com/marip8/reach/issues/64>)
    * Updated flow chart
    * Push docker image if ref_type is a tag
    * Update AFTER_SCRIPT
  * Contributors: Michael Ripperger

 -- Michael Ripperger <michael.ripperger@swri.org>  Thu, 28 Sep 2023 16:00:00 -0000

ros-humble-reach (1.5.2-1bookworm) bookworm; urgency=high

  * Updated install of python module (#63 <https://github.com/marip8/reach/issues/63>)
  * Contributors: Michael Ripperger

 -- Michael Ripperger <michael.ripperger@swri.org>  Wed, 06 Sep 2023 16:00:00 -0000

ros-humble-reach (1.5.1-1bookworm) bookworm; urgency=high

  * fix bools in yaml in Python (#59 <https://github.com/marip8/reach/issues/59>)
  * Contributors: Marc Bestmann

 -- Michael Ripperger <michael.ripperger@swri.org>  Tue, 15 Aug 2023 16:00:00 -0000

ros-humble-reach (1.5.0-1bookworm) bookworm; urgency=high

  * Added ability to specify heat map color range (#58 <https://github.com/marip8/reach/issues/58>)
  * Contributors: Marc Bestmann

 -- Michael Ripperger <michael.ripperger@swri.org>  Thu, 27 Jul 2023 16:00:00 -0000

ros-humble-reach (1.4.0-1bookworm) bookworm; urgency=high

  * Exposed relevant compile definitions for plugins to the Python interface (#57 <https://github.com/marip8/reach/issues/57>)
  * Contributors: Michael Ripperger

 -- Michael Ripperger <michael.ripperger@swri.org>  Wed, 12 Jul 2023 16:00:00 -0000

ros-humble-reach (1.3.2-1bookworm) bookworm; urgency=high

  * Updated badges in README; added table of supported distros (#56 <https://github.com/marip8/reach/issues/56>)
  * Removed -dev libraries before running unit tests in CI (#55 <https://github.com/marip8/reach/issues/55>)
  * Updated CI configuration to be ROS-independent (#54 <https://github.com/marip8/reach/issues/54>)
  * Update to later version of RICB that adds hook for PYTHONPATH (#51 <https://github.com/marip8/reach/issues/51>)
  * Added colcon hook for setting the PYTHONPATH environment variable (#50 <https://github.com/marip8/reach/issues/50>)
  * Minor Updates (#48 <https://github.com/marip8/reach/issues/48>)
    * Added virtual destructors
    * Compile Python bindings with c++14
    * Change comparison operator for clang-tidy
  * Contributors: Michael Ripperger

 -- Michael Ripperger <michael.ripperger@swri.org>  Wed, 12 Jul 2023 16:00:00 -0000

ros-humble-reach (1.3.1-1bookworm) bookworm; urgency=high

  * fix parallelization error of omp parallel (#47 <https://github.com/marip8/reach/issues/47>)
  * Contributors: Marc Bestmann

 -- Michael Ripperger <michael.ripperger@swri.org>  Tue, 13 Jun 2023 16:00:00 -0000

ros-humble-reach (1.3.0-1bookworm) bookworm; urgency=high

  * Initial IK seed (#46 <https://github.com/marip8/reach/issues/46>)
    * add option to specify initial IK seed
    * refactor based on PR comments
    * improve reading of seed parameter from yaml
  * Contributors: Marc Bestmann

 -- Michael Ripperger <michael.ripperger@swri.org>  Mon, 12 Jun 2023 16:00:00 -0000

ros-humble-reach (1.2.0-1bookworm) bookworm; urgency=high

  * Exposed plugin implementations for linking by downstream projects (#45 <https://github.com/marip8/reach/issues/45>)
  * Contributors: Michael Ripperger

 -- Michael Ripperger <michael.ripperger@swri.org>  Wed, 10 May 2023 16:00:00 -0000

ros-humble-reach (1.1.0-1bookworm) bookworm; urgency=high

  * Move ROS1 components (#44 <https://github.com/marip8/reach/issues/44>)
    * Removed reach_ros directory
    * Flattened reach package
    * Updated CI config file
    * Added demo GIF and README
    * Fixed table of contents; added references to ROS repos; removed section on ROS-specific usage and demos
    * Changes to support ROS2
    * Updated dependencies
    * Remove reach_ros from plugins target compile definitions
    * Added colcon package file
  * Contributors: Michael Ripperger

 -- Michael Ripperger <michael.ripperger@swri.org>  Tue, 09 May 2023 16:00:00 -0000

ros-humble-reach (1.0.0-1bookworm) bookworm; urgency=high

  * Added Python interface (#38 <https://github.com/ros-industrial/reach/issues/38>)
  * Updated to later version of plugin loader (#39 <https://github.com/ros-industrial/reach/issues/39>)
  * Refactored repository into ROS-independent core package and ROS-based plugin implementation package (#37 <https://github.com/ros-industrial/reach/issues/37>)
  * Contributors: Michael Ripperger, Collin Thornton

 -- Michael Ripperger <michael.ripperger@swri.org>  Mon, 05 Dec 2022 16:00:00 -0000

ros-humble-reach (0.2.2-1bookworm) bookworm; urgency=high

  * Create nested results directories if they do not exist (#34 <https://github.com/marip8/reach/issues/34>)
  * Contributors: Michael Ripperger

 -- Michael Ripperger <michael.ripperger@swri.org>  Tue, 23 Aug 2022 16:00:00 -0000

ros-humble-reach (0.2.1-1bookworm) bookworm; urgency=high



 -- Michael Ripperger <michael.ripperger@swri.org>  Thu, 21 Jul 2022 16:00:00 -0000

ros-humble-reach (0.2.0-1bookworm) bookworm; urgency=high

  * Various Updates (#29 <https://github.com/marip8/reach/issues/29>)
    * Change FLANN search tree to PCL kd-tree; update nearest neighbors search; parallelize with hardware concurrency
    * Update to use non-deprecated IK solve function
    * Use Eigen vectorized array product rather than for loop
    * Support manipulability calculation for subset of dimensions
    * Added plugin for evaluating manipulability ratio
